## ros-melodic-mir-msgs 1.0.6

=== debian/changelog ===
ros-melodic-mir-msgs (1.0.6-1stretch) stretch; urgency=high

  * Fix some catkin_lint warnings
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-melodic-mir-msgs (1.0.5-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-melodic-mir-msgs (1.0.4-1stretch) stretch; urgency=high

  * Update mir_msgs and mir_actions to MiR 2.3.1
    The following changes were made to the actual mir_msgs:
    * rename mirMsgs -> mir_msgs
    * rename proximity -> Proximity
    * rename serial -> Serial
    * keep MirStatus msg (was replaced by RobotStatus in MiR software 2.0)
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-mir-msgs (1.0.3-1stretch) stretch; urgency=high

  * mir_msgs: Compile new msgs + rename mirMsgs -> mir_msgs
  * mir_msgs: Add geometry_msgs dependency
    Now that we have an actual msg package dependency, we don't need the std_msgs placeholder any more.
  * mir_msgs: Add new messages on kinetic
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 03 Mar 2019 23:00:00 -0000

ros-melodic-mir-msgs (1.0.2-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 29 Jul 2018 22:00:00 -0000

ros-melodic-mir-msgs (1.0.1-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 16 Jul 2018 22:00:00 -0000

ros-melodic-mir-msgs (1.0.0-1stretch) stretch; urgency=high

  * Initial release
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 11 Jul 2018 22:00:00 -0000

## ros-melodic-mir-msgs 1.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
cmake_policy(SET CMP0048 NEW)
project(mir_msgs)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  message_generation
)

################################################
## Declare ROS messages, services and actions ##
################################################

# Generate messages in the 'msg' folder
add_message_files(
  FILES
    BatteryCurrents.msg
    BMSData.msg
    BrakeState.msg
    ChargingState.msg
    Device.msg
    Devices.msg
    Encoders.msg
    Error.msg
    Event.msg
    Events.msg
    ExternalRobot.msg
    ExternalRobots.msg
    Gpio.msg
    GripperState.msg
    HeightState.msg
    HookExtendedStatus.msg
    HookStatus.msg
    IOs.msg
    JoystickVel.msg
    LocalMapStat.msg
    MirExtra.msg
    MissionCtrlCommand.msg
    MissionCtrlState.msg
    PalletLifterStatus.msg
    Path.msg
    Pendant.msg
    PlanSegment.msg
    PlanSegments.msg
    Pose2D.msg
    PowerBoardMotorStatus.msg
    Proximity.msg
    ResourcesState.msg
    ResourceState.msg
    RobotMode.msg
    RobotState.msg
    RobotStatus.msg
    SafetyStatus.msg
    Serial.msg
    StampedEncoders.msg
    Trolley.msg
    Twist2D.msg
    UserPrompt.msg
    WebPath.msg
    WorldMap.msg
    WorldModel.msg
)

# Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
    geometry_msgs
)

###################################
## catkin specific configuration ##
###################################
catkin_package(
  CATKIN_DEPENDS
    geometry_msgs
    message_runtime
)

=== debian/changelog ===
ros-melodic-mir-msgs (1.0.8-1bionic) bionic; urgency=high

  * Merge branch 'melodic-2.8' into melodic
  * Update BMSData msg to MiR software 2.8.3.1
  * Remove MirStatus
    This message was removed in MiR software 2.0 (Renamed to RobotStatus).
  * Update mir_msgs to 2.8.2.2
  * Contributors: Felix, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Jun 2021 22:00:00 -0000

ros-melodic-mir-msgs (1.0.7-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-melodic-mir-msgs (1.0.6-1bionic) bionic; urgency=high

  * Fix some catkin_lint warnings
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-melodic-mir-msgs (1.0.5-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-melodic-mir-msgs (1.0.4-1bionic) bionic; urgency=high

  * Update mir_msgs and mir_actions to MiR 2.3.1
    The following changes were made to the actual mir_msgs:
    * rename mirMsgs -> mir_msgs
    * rename proximity -> Proximity
    * rename serial -> Serial
    * keep MirStatus msg (was replaced by RobotStatus in MiR software 2.0)
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-mir-msgs (1.0.3-1bionic) bionic; urgency=high

  * mir_msgs: Compile new msgs + rename mirMsgs -> mir_msgs
  * mir_msgs: Add geometry_msgs dependency
    Now that we have an actual msg package dependency, we don't need the std_msgs placeholder any more.
  * mir_msgs: Add new messages on kinetic
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 03 Mar 2019 23:00:00 -0000

ros-melodic-mir-msgs (1.0.2-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 29 Jul 2018 22:00:00 -0000

ros-melodic-mir-msgs (1.0.1-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 16 Jul 2018 22:00:00 -0000

ros-melodic-mir-msgs (1.0.0-1bionic) bionic; urgency=high

  * Initial release
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 11 Jul 2018 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-mir-msgs
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation
Homepage: https://github.com/dfki-ric/mir_robot
Standards-Version: 3.9.2

Package: ros-melodic-mir-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime
Description: Message definitions for the MiR100 robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mir-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
